Index: trunk/packages/sipb-xen-dev/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-dev/debian/changelog	(revision 954)
+++ trunk/packages/sipb-xen-dev/debian/changelog	(revision 956)
@@ -1,2 +1,9 @@
+sipb-xen-dev (23) unstable; urgency=low
+
+  * in postinst, create user repository and group repo
+    and add /etc/sudoers line
+
+ -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:06:04 -0400
+
 sipb-xen-dev (22) unstable; urgency=low
 
Index: trunk/packages/sipb-xen-dev/debian/sipb-xen-dev.postinst
===================================================================
--- trunk/packages/sipb-xen-dev/debian/sipb-xen-dev.postinst	(revision 956)
+++ trunk/packages/sipb-xen-dev/debian/sipb-xen-dev.postinst	(revision 956)
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+    configure)
+        if [ -z "$2" ]; then
+            adduser --system repository
+            addgroup --system repo
+            echo "%repo   ALL=(repository)        ALWAYS_SET_HOME,NOPASSWD: /usr/bin/reprepro" >>/etc/sudoers
+            echo "-----"
+            echo "sipb-xen-dev: run"
+            echo "  adduser --disabled-password \$user"
+            echo "  adduser \$user repo"
+            echo "to make individual users that will build packages."
+            echo "-----"
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
